Package org.opensaml.saml.common.messaging.context

# Class AbstractAuthenticatableSAMLEntityContext

java.lang.Object
org.opensaml.messaging.context.BaseContext
org.opensaml.saml.common.messaging.context.AbstractSAMLEntityContext
org.opensaml.saml.common.messaging.context.AbstractAuthenticatableSAMLEntityContext

All Implemented Interfaces:
  `Iterable<BaseContext>`

Direct Known Subclasses:
  `SAMLPeerEntityContext`, `SAMLPresenterEntityContext`

public abstract class AbstractAuthenticatableSAMLEntityContext extends AbstractSAMLEntityContext
Abstract base class for subcontexts that carry information about a SAML entity which may be authenticated. This context will often contain subcontexts, whose data is construed to be scoped to that entity.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.opensaml.messaging.context.BaseContext

`BaseContext.ContextSetNoRemoveIteratorDecorator, BaseContext.DeprecatedContextClassNameLookAside`

## Field Summary

Fields
Modifier and Type
Field
Description
`private boolean`
`authenticated`
Flag indicating whether the SAML peer entity has been authenticated.

## Constructor Summary

Constructors
Constructor
Description
`AbstractAuthenticatableSAMLEntityContext()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isAuthenticated()`
Gets the flag indicating whether the SAML peer entity has been authenticated.
`void`
`setAuthenticated(boolean flag)`
Sets the flag indicating whether the SAML peer entity has been authenticated.

### Methods inherited from class org.opensaml.saml.common.messaging.context.AbstractSAMLEntityContext

`getEntityId, getRole, setEntityId, setRole`

### Methods inherited from class org.opensaml.messaging.context.BaseContext

`addSubcontext, addSubcontext, clearSubcontexts, containsSubcontext, createSubcontext, ensureSubcontext, ensureSubcontext, getParent, getSubcontext, getSubcontext, getSubcontext, getSubcontext, iterator, removeFromParent, removeSubcontext, removeSubcontext, setParent`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

## Field Details

### authenticated

private boolean authenticated
Flag indicating whether the SAML peer entity has been authenticated.

## Constructor Details

### AbstractAuthenticatableSAMLEntityContext

public AbstractAuthenticatableSAMLEntityContext()

## Method Details

### isAuthenticated

public boolean isAuthenticated()
Gets the flag indicating whether the SAML peer entity has been authenticated.

Returns:
  Returns the authenticated flag.

### setAuthenticated

public void setAuthenticated(boolean flag)
Sets the flag indicating whether the SAML peer entity has been authenticated.

Parameters:
  `flag` - The flag to set.